Atheros AR3011 cannot be turned up/is not recognized.

Bug #714862 reported by Marcus Sharp on 2011-02-07
218
This bug affects 38 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
Linux
Confirmed
Medium
Debian
Confirmed
Unknown
linux-firmware (Ubuntu)
High
AceLan Kao
Maverick
High
Unassigned
Natty
High
AceLan Kao
Oneiric
High
AceLan Kao
Precise
High
AceLan Kao

Bug Description

The key is the device by Atheros Communications, Inc, which is their AR3002.

This is the device that Dell is putting into this Vostro V130, which Dell ships with Ubuntu 10.04 pre-loaded.
 Atheros indicates that:

"As a proponent of open software, Atheros provides its own Bluetooth stack for easy portability and also supports standard Bluetooth stacks such as Blue Z on Linux, Chrome OS, and Android OS. All Bluetooth profiles in Blue Z are supported, including headset and hands-free profiles, A2DP, FTP, DUN, OPP, PAN, SPP and PBAP.."

So they say this device should support Bluez.

Go to the Bluez page, and search for "atheros," and you find this:

http://www.bluez.org/l2cap-extended-features-on-2-6-36/

Very briefly, it says "Support for the Atheros AR300x chip."

I would hope that "3002" is part of "300x," but I'm not sure. I went ahead and added the natty packages to my repository, so that I could effectively install the bluez 4.87 and related packages.

Well, this ends a lot of errors. Now, when I launch blueman, I get no connection errors, or anything, but still no options to connect any devices.

This still happens:

sudo hciconfig:

hci0: Type: BR/EDR Bus: USB
BD Address: 00:00:00:00:00:00 ACL MTU: 0:0 SCO MTU: 0:0
DOWN
RX bytes:0 acl:0 sco:0 events:0 errors:0
TX bytes:24 acl:0 sco:0 commands:8 errors:0

Which tells me that the AR3002 is still not "seen."

sudo hciconfig hci0 up yields:
Can't init device hci0: Connection timed out (110)

Now, in a very rational sense, I believe I have hit the dead end. The device is simply too new, I guess, to be supported(?) Turning in bug request in hope of future support, and as question has no activity on it. If this this is incorrect procedure, please forgive, as I'm new here.

Casabre (breiteswiesel) wrote :

I have found a dkms-driver for the Atheros chipset on the recovery image which I created from the pre-installed Ubuntu 10.04. Thus, I tried to install it under Ubuntu 10.10 (64 Bit). The BT Device was recognized immediately after the installation and still works fine for me.

nexero (mw-nexero) wrote :

This also works for me (on Ubuntu 10.10 x64)..
Thanks!

Thanks, but installing that did not solve the issue with either 10.04 (32
bit) or 11.04.

On Thu, Mar 17, 2011 at 2:20 AM, nexero <email address hidden> wrote:

> This also works for me (on Ubuntu 10.10 x64)..
> Thanks!
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/714862
>
> Title:
> Atheros AR3002 cannot be turned up/is not recognized.
>
> Status in “bluez” package in Ubuntu:
> New
>
> Bug description:
> The key is the device by Atheros Communications, Inc, which is their
> AR3002.
>
> This is the device that Dell is putting into this Vostro V130, which Dell
> ships with Ubuntu 10.04 pre-loaded.
> Atheros indicates that:
>
> "As a proponent of open software, Atheros provides its own Bluetooth
> stack for easy portability and also supports standard Bluetooth stacks
> such as Blue Z on Linux, Chrome OS, and Android OS. All Bluetooth
> profiles in Blue Z are supported, including headset and hands-free
> profiles, A2DP, FTP, DUN, OPP, PAN, SPP and PBAP.."
>
> So they say this device should support Bluez.
>
> Go to the Bluez page, and search for "atheros," and you find this:
>
> http://www.bluez.org/l2cap-extended-features-on-2-6-36/
>
> Very briefly, it says "Support for the Atheros AR300x chip."
>
> I would hope that "3002" is part of "300x," but I'm not sure. I went
> ahead and added the natty packages to my repository, so that I could
> effectively install the bluez 4.87 and related packages.
>
> Well, this ends a lot of errors. Now, when I launch blueman, I get no
> connection errors, or anything, but still no options to connect any
> devices.
>
> This still happens:
>
> sudo hciconfig:
>
> hci0: Type: BR/EDR Bus: USB
> BD Address: 00:00:00:00:00:00 ACL MTU: 0:0 SCO MTU: 0:0
> DOWN
> RX bytes:0 acl:0 sco:0 events:0 errors:0
> TX bytes:24 acl:0 sco:0 commands:8 errors:0
>
> Which tells me that the AR3002 is still not "seen."
>
> sudo hciconfig hci0 up yields:
> Can't init device hci0: Connection timed out (110)
>
> Now, in a very rational sense, I believe I have hit the dead end. The
> device is simply too new, I guess, to be supported(?) Turning in bug
> request in hope of future support, and as question has no activity on
> it. If this this is incorrect procedure, please forgive, as I'm new
> here.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/714862/+subscribe
>

Does not resolve the 32-bit version of 10.04

Thanks for trying, though, I appreciate some movement.

Any way to get the source for this driver and recompile it for 32 bit distributions? Or even better, send it upstream. @Marcus Sharp: I'm also glad to see movement on this issue. I love my v130 and BT is the only thing not working on it.

The issue is not in bluez but in the kernel drivers, so I'm reassigning this to the right package.

There's another bug about this too, it's bug 720949.

affects: bluez (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Confirmed
AceLan Kao (acelankao) wrote :

Marcus,

I'm not sure if you installed the dkms package correctly.
Could you paste the result of "dkms status" and "lsusb" here?
And try to make the module in "/usr/src/ar3011-1.1ryu2.3/ar3011-1.1ryu2.3/" and paste the log as well.

Changed in linux (Ubuntu):
assignee: nobody → AceLan Kao (acelankao)
AceLan Kao (acelankao) wrote :

Alexis,

You have the driver source after installing the dkms package.
The source code is located in /usr/src/ar3011-1.1ryu2.3/

It's hard to make it upstream, since it use different way to load the firmware. Atheros's engineer had tried to propose this way to upstream but be rejected.
And there are some other issues for this driver/patch, so upstream kernel dropped the 0CF3:3002 support temporarily.

"I'm not sure if you installed the dkms package correctly."

Quite possible, open to correction. BTW, for the heck of it, I upgraded from 10.04 to 10.10 to 11.04, to see if anything changed. So far, no good. The only thing that works is if I go to the Dell Recovery Tool and restore the system to the "factory shipped state." On first boot (only), bluetooth works as expected. As soon as a screensaver kicks in (or in any way a session ends), however, it is turned off, and the issue becomes what is in my first post.

I hope this is not extraneous information.

"Could you paste the result of "dkms status" and "lsusb" here?"

dkms status
dell-laptop, 1.3, 2.6.32-31-generic, i686: built
dell-laptop, 1.3, 2.6.32-21-generic-pae, i686: built
dell-laptop, 1.3, 2.6.32-21-generic, i686: built
dell-laptop, 1.3, 2.6.32-30-generic, i686: built

lsusb
Bus 002 Device 003: ID 0cf3:3002 Atheros Communications, Inc.
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 04f2:b234 Chicony Electronics Co., Ltd
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

"And try to make the module in "/usr/src/ar3011-1.1ryu2.3/ar3011-1.1ryu2.3/"

Sorry, I'm going to need pretty explicit instructions on this--that directory doesn't exist on my machine. Do you want me to create it?

Also, when you say "make the module," are you referring to the dkms module in Post #1?

According to Synaptic Package Manager, the dkms module is installed.

AceLan Kao (acelankao) wrote :

Marcus,

Ok, looks like the dkms package didn't install correctly and I think you might want to try 110.04, so let's focus on 11.04 release.

1. install the latest kernel image and kernel header
  sudo apt-get install linux-image-2.6.38-8-generic linux-headers-2.6.38-8

2. download dkms packages from the right column and install them
  (after downloaded ar3011-dkms_1.1ryu2.3_all.deb and dell-laptop-dkms_1.4_all.deb)
  sudo dpkg -i ar3011-dkms_1.1ryu2.3_all.deb dell-laptop-dkms_1.4_all.deb

3. run "dkms status" to see if there are the following info(or just paste the result here)
  dell-laptop, 1.4, 2.6.38-8-generic, x86_64: installed
  ar3011-dkms, 1.1ryu2.3, 2.6.38-8-generic, x86_64: installed

4. you don't need this step if you have the info that step 3 describes
  (paste the result of the following commands here)
  1. cat /proc/version_signature
  2. dpkg -l | grep linux- | grep ^ii
  3. ls /usr/src

AceLan Kao,

Thank You! Wow, thank you!

I followed your steps as such:

1. This was taken care of already, by upgrading to 11.04 stable...I did a uname-r, and it showed the 2.6.38.8 kernel.
2. Followed your instructions on these steps to the letter.
3. Ran dkms status and saw the info listed, just in reverse order (the ar3011 line was above the dell line)

Still couldn't do anything with bluetooth, then I rebooted, and there it was, enabled and all. Fantastic! For a true test, I turned it off (scary, given the history), and was able to succesfully turn it back on.

Again, thank you a million times. Tons of hours and days and phone time with Dell even did not resolve this issue for me.

However, this is still a "bug" right? I mean, I was running Ubuntu "out of the box" vanilla, and were it not for your steps, this would have not worked for me. I hope this somehow makes its way into the next update for everyone else who has this problem.

AceLan Kao (acelankao) wrote :

Marcus,

Very glad to hear the good news from you.
Remember to regrade the linux-headers once you upgrade the linux-image, so that dkms works.

Yes, it's still a problem we are currently working on and hope it could be solved in the upstream kernel soon.

Changed in linux (Ubuntu):
assignee: AceLan Kao (acelankao) → nobody
status: Confirmed → Fix Committed
Alexis Morin (carignan-boy) wrote :

Marcus, I followed the same steps as you did (rebooting and everything).
Now my bluetooth works. Fix confirmed to work.

I'm using 11.04 from an upgraded 10.10, obviously on a v130.

Thanks for the fix, guys. Hopefully this can be pushed upstream so that other users don't have to struggle with it.

Ara Pulido (ara) on 2011-05-02
tags: added: blocks-hwcert
Jeff Blanchard (j-d-blanchard) wrote :

I followed AceLan Kao's steps and got the bluetooth service working on my V130, but the bluetooth applet icon in the panel was not visible. I found this helpful in getting that to show up:

http://askubuntu.com/questions/40400/how-do-i-show-blueproximitys-icon-in-the-panel

 (had to restart session as well).

Thanks!

Chris Van Hoof (vanhoof) wrote :

Moving this task to 'In Progress' to keep track of the upstream bug.

Changed in linux (Ubuntu):
status: Fix Committed → In Progress
importance: Undecided → High
assignee: nobody → AceLan Kao (acelankao)
tags: added: hwe-blocker
Chris Van Hoof (vanhoof) on 2011-06-14
Changed in linux (Ubuntu Natty):
assignee: nobody → AceLan Kao (acelankao)
importance: Undecided → High
status: New → In Progress
Tomasz Cieśla (ciesla-tomasz) wrote :

same bug is for intel 1030 bluetooth & wifi card on my dell vostro 3350
you can get the bluetooth working only after restarting computer - when you suspend switch off or hibernate laptop you can't access it

AceLan Kao (acelankao) wrote :

Tomasz,

Yes, we know this issue, and I believe this issue is fixed in next ubuntu kernel.
BTW, before you have the new kernel installed, you can just restart the bluetooth service to reactivate the bluetooth by
   sudo service bluetooth restart

Tomasz Cieśla (ciesla-tomasz) wrote :

The bug is partly solved in 2.6.38-10 kernel - you dont have to restart bluetooth after turning on and waking up. But if you gonna leave active bluetooth connection while putting computer into suspend it still occures - you cant turn bluetooth on via bluetooth manager and albueman gonna be closed after waking up, when you gonna try to launch it i returns error: Connection to BlueZ failed - BlueZ deamon is not runing, blueman-manager cannot continune, sudo service bluetooth restart hepls, bu you have to still enter it...

Tomasz Cieśla (ciesla-tomasz) wrote :

there is no need to restart service
sudo /etc/init.d/bluetooth start
helps, but you have to type it each time after waking up from suspend, when you gonna suspend computer with active bluetooth connection (for example a2dp)

AceLan Kao (acelankao) wrote :

Tomasz,

Good to hear that you can confirm the next kernel release can fix the suspend/resume problem.
And for the "leave active bluetooth connection while putting computer into suspend" problem, I think it's a different problem and different bt chip with this issue, so it's better to file a new bug for it to have a further and better discussion.

BTW, you can just copy/paste the following script and put it in /etc/pm/sleep.d and give it executable permission if you don't want to start the bluetooth daemon every time you resume from suspend.

--------- 8< --------------------------
#!/bin/sh

PATH=/sbin:/usr/sbin:/bin:/usr/bin

case "${1}" in
        suspend|hibernate)
                ;;
        resume|thaw)
                (sleep 3 ; /usr/sbin/service bluetooth stop ; sleep 3 ; /usr/sbin/service bluetooth start)&
                ;;
esac
--------- >8 --------------------------

Chris Van Hoof (vanhoof) wrote :

Just noting the final few comments in: https://bugzilla.kernel.org/show_bug.cgi?id=27402 speak to the remaining issue here

AceLan Kao (acelankao) wrote :

Chris,

Yes, it's still a issue.
Looks like there are two kind of behavior of 0cf3:3002 chip, and DW1702 is the one that can't use general way to load the firmware.
I still have no idea how to make it work except using DKMS.

Ray Whatman (roo79x) wrote :

Hi I have a Kogan Agora pro with a Atheros AR3011 running oneiric I'm new to linux but this bug seems to be like my problem. I have just upgraded to alpha 3 and setup a dual-boot with natty, if I first boot into natty then restart and boot oneiric my bluetooth works, but if I boot straight into oneiric I have no bluetooth. I will attach some terminal outputs but as I'm new it will take some time as I'm not sure what is relevant to this issue and what is not. I have asked on the ubuntu forums but I have had no advice. please tell me what I should be doing to help get this fixed.

Ara Pulido (ara) on 2011-08-16
tags: added: oneiric
Ayan George (ayan) on 2011-08-31
tags: added: blocks-hwcert-enablement
Brad Figg (brad-figg) on 2011-09-02
tags: added: rls-mgr-o-tracking
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Changed in linux (Ubuntu Oneiric):
milestone: none → oneiric-updates
Changed in linux (Ubuntu Precise):
status: New → In Progress
importance: Undecided → High
tags: added: rls-mgr-p-tracking
removed: rls-mgr-o-tracking
Herton R. Krzesinski (herton) wrote :

How is the state of this bug?

I asked Leann to drop "UBUNTU: SAUCE: Revert "Bluetooth: Add new PID for Atheros 3011" from Precise, since this revert didn't propagated upstream - we applied it from the bluetooth's maintainer tree - and there is reports of people effectively needing that in the kernel, even if firmware loading fails for some devices (probably there was some misunderstading/lack of info when that revert was asked to us to be done).

I'm having trouble with an AR3012 under Oneric (amd64): Linux (and the GUI notification-area tool) recognize the chipset, but scans for devices always fail.

I have a Pavilion g4 with a Bluetooth chip that Win7 reports as "Atheros AR3012 Bluetooth 4.0 + HS". I tried installing the ar3011-dkms_1.1ryu2.3_all.deb DKMS module, but after reboot, btusb still loads to handle the AR3012. When I rmmod --force btusb and modprobe ath3k, the AR3012 is no longer available.

The following is from a scan with 4 BT devices advertising themselves (a mono headset, an Android phone, BT audio headphones, and BT speakers):

david@snape:~$ sudo hciconfig
hci0: Type: BR/EDR Bus: USB
 BD Address: 74:DE:2B:4C:2E:D7 ACL MTU: 1022:8 SCO MTU: 183:5
 UP RUNNING PSCAN
 RX bytes:1068 acl:0 sco:0 events:36 errors:0
 TX bytes:894 acl:0 sco:0 commands:35 errors:0
david@snape:~$ hcitool -i hci0 scan
Scanning ...
david@snape:~$

Under Win7, the chipset works, and all my BT devices can be connected.

Any suggestions?

Ákos Maróy (akos-maroy) wrote :

affects me too. I just installed a USB bluetooth dongle with the AT3011 chipset on it, but it is not recognized :( this is on 11.10.

when plugging in the USB bluetooth dongle, I get the following in syslog:

Nov 18 18:58:17 rakku kernel: [633881.104241] usb 9-1: new full speed USB device number 2 using xhci_hcd
Nov 18 18:58:17 rakku mtp-probe: checking bus 9, device 2: "/sys/devices/pci0000:00/0000:00:02.0/0000:02:00.0/usb9/9-1"
Nov 18 18:58:18 rakku kernel: [633881.195800] xhci_hcd 0000:02:00.0: WARN: short transfer on control ep
Nov 18 18:58:18 rakku mtp-probe: bus: 9, device: 2 was not an MTP device
Nov 18 18:58:19 rakku kernel: [633882.682448] Bluetooth: Atheros AR30xx firmware driver ver 1.0
Nov 18 18:58:24 rakku kernel: [633887.756175] ath3k: probe of 9-1:1.0 failed with error -110
Nov 18 18:58:24 rakku kernel: [633887.756233] usbcore: registered new interface driver ath3k

additional info:

$ sudo lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 009 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 010 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 1a40:0101 TERMINUS TECHNOLOGY INC. USB-2.0 4-Port HUB
Bus 001 Device 003: ID 05e3:0607 Genesys Logic, Inc.
Bus 001 Device 005: ID 068e:00f1 CH Products, Inc. Pro Throttle
Bus 001 Device 006: ID 068e:00f3 CH Products, Inc. Fighterstick
Bus 001 Device 007: ID 068e:0501 CH Products, Inc. CH Pro Pedals
Bus 005 Device 002: ID 046d:c068 Logitech, Inc. G500 Laser Mouse
Bus 001 Device 008: ID 046d:c22b Logitech, Inc.
Bus 001 Device 009: ID 046d:c22a Logitech, Inc.
Bus 003 Device 002: ID 067b:2303 Prolific Technology, Inc. PL2303 Serial Port
Bus 009 Device 002: ID 0cf3:3000 Atheros Communications, Inc. AR3011

lsmod | grep ath
ath3k 13195 0

sudo hciconfig - shows nothing

James M. Leddy (jm-leddy) wrote :

Hi AceLan,

What's the upstream status? Is there an alternative because the upstream hackers didn't like the first patch or did they offer any other possible ways to fix? Maintenance out of tree might get expensive after a while.

tags: added: patch-rejected-upstream
AceLan Kao (acelankao) wrote :

James,

Sorry, I didn't followup this issue for a while.
The atheros' engineer is in charge of making the code upstream and he said he already done that.
From what I see, there are 2 kind of chips with the same VID/PID(0cf3:3002) and the code in upstream kernel can enable another chip, but not the one we have.

The code in the dkms package is not possible to upstream, since it modifies the btusb module and will affect other chips.

I'll find out the h/w and do some more test soon to see if I can do any progress on this issue.

David Megginson,

It would be better to file a new bug for another chip, but I think I can give you the answer right away.
There is another dkms package for you, I just guess it might work on you platform, since you didn't give me the usbid, so I'm not sure if that will match.
After installing this dw1703 dkms package, you have to add one more file under /etc/modprobe.d/
cat dw1703.conf
   install ath3k modprobe btusb; modprobe --ignore-install ath3k;

Try it, and please file a new bug if this is not working.

Priyank Shyam (priyank-shyam) wrote :

I'm using a Dell Vostro V130 laptop with Ubuntu 11.10 installed on it. I'm experiencing the same bluetooth problem on my computer. As I'm new to Ubuntu, I haven't brought myself to grips with it...could someone help me with my problem given my lack of experience?

AceLan Kao (acelankao) wrote :

Priyank,

The solution for now is to install the dkms package, ar3011-dkms_1.1ryu2.3_all.deb.
You can find it on the right side.

JoeNazz (joenazz) wrote :

Thanks, work well for me with Ubuntu 11.10 on Dell Vostro 3350.

On the Dell Inspiron Duo, Ubuntu 11.10 32bit I found this:

lsusb -> 0cf3:3002 Atheros Communications, Inc.
hciconfig --all -> No BD address
sudo sdptool browse (found in bluez packet) -> fail

I installed dkms from repository and ar3011-dkms_1.1ryu2.3_all.deb from this page. Reboot.

After that everything works fine. I did not need dell-laptop-dkms_1.4_all.deb.

Andriy Yurchuk (ch00k) wrote :

Can anybody confirm that A2DP works after installing ar3011-dkms_1.1ryu2.3_all.deb?

Night Train (nighttrain) wrote :

hi guys

on notebook Dell Vostro 3750
0cf3:3002 Atheros Communications, Inc.
Dell Travel Mouse
ocelot oneiric 11.10 64 bit
kernel 3.0.0-14-generic

connection with bluetooth is ok AFTER i have installed ar3011-dkms_1.1ryu2.3_all.deb (with gdebi)
this install also dkms, fakeroot, patch, like dependencies

after reboot all it's ok

thank you very much

night train

Michał Kozal (panaut0lordv) wrote :

I've got Acer TimelineX 3820TG with Atheros 3011 on Oneiric.
Bluetooth worked fine all the time with 2.6.38 kernels but witht 3.x it doesn't.
With ar3011-dkms_1.1ryu2.3_all.deb
3.0.0-15-generic - oneiric upstream - after boot - doesn't work - after hibernation - turns up fine
3.2.0.999-generic - from daily mainline ppa - after boot - doesn't work - after hibernation - crashes
Without ar3011-dkms_1.1ryu2.3_all.deb
3.0.0-15-generic - oneiric upstream - after boot - doesn't work - after hibernation - turns up fine
3.2.0.999-generic - from daily mainline ppa - after boot - doesn't work - after hibernation - turns up fine

And I've checked - btusb.ko doesn't even get inserted after boot, probably due to atheros left undetected.

Chris Van Hoof (vanhoof) on 2012-01-09
Changed in linux (Ubuntu Maverick):
status: New → In Progress
importance: Undecided → High
AceLan Kao (acelankao) wrote :

This is still an issue on Precise Pangolin with kernel
3.2.0-8-generic #15

The message is the same

Bluetooth: Atheros AR30xx firmware driver ver 1.0
Bluetooth: Can't change to loading configuration err
ath3k: probe of 2-1.5:1.0 failed with error -32
usbcore: registered new interface driver ath3k

James M. Leddy (jm-leddy) wrote :

Hi Michael,

Thanks for doing such extensive testing! Would you please attach the dmesg logs from your experiments?

Changed in linux (Ubuntu Precise):
assignee: nobody → AceLan Kao (acelankao)
Changed in linux (Ubuntu Maverick):
status: In Progress → Fix Committed
status: Fix Committed → Won't Fix
James M. Leddy (jm-leddy) wrote :

I'm doing some tests with CONFIG_USB_ANNOUNCE_NEW_DEVICES set. First test is on a 11.10 kernel from -updates and modules btusb ath3k blackloaded and manually modprobed. dmesg says:

[ 2.191737] usb 2-1.5: new full speed USB device number 3 using ehci_hcd
[ 2.284292] usb 2-1.5: New USB device found, idVendor=0cf3, idProduct=3002
[ 2.284299] usb 2-1.5: New USB device strings: Mfr=0, Product=0, SerialNumber=0

later:

[ 192.775860] Bluetooth: Atheros AR30xx firmware driver ver 1.0
[ 193.044610] usbcore: registered new interface driver ath3k
[ 193.128797] usb 2-1.5: USB disconnect, device number 3
[ 193.426044] usb 2-1.5: new full speed USB device number 4 using ehci_hcd
[ 193.518698] usb 2-1.5: New USB device found, idVendor=0cf3, idProduct=3002
[ 193.518705] usb 2-1.5: New USB device strings: Mfr=0, Product=0, SerialNumber
=0
[ 193.896235] usb 2-1.5: USB disconnect, device number 4
[ 194.349512] usb 2-1.5: new full speed USB device number 5 using ehci_hcd
[ 194.442460] usb 2-1.5: New USB device found, idVendor=0cf3, idProduct=3002
[ 194.442467] usb 2-1.5: New USB device strings: Mfr=0, Product=0, SerialNumber
=0
[ 197.451706] wlan0: authenticate with c4:3d:c7:a7:ac:e8 (try 1)
[ 197.651486] wlan0: authenticate with c4:3d:c7:a7:ac:e8 (try 2)
[ 197.851318] wlan0: authenticate with c4:3d:c7:a7:ac:e8 (try 3)
[ 198.051205] wlan0: authentication with c4:3d:c7:a7:ac:e8 timed out
[ 199.446664] ath3k_load_firmware: Can't change to loading configuration err
[ 199.446755] ath3k: probe of 2-1.5:1.0 failed with error -110

So it seams that the device presents itself a total of 3 times, once initially when there is no firmware, then two more times after the firmware loads. This is consistant with the kernel.org bug report.

summary: - Atheros AR3002 cannot be turned up/is not recognized.
+ Atheros AR3011 cannot be turned up/is not recognized.
Eric Miao (eric.y.miao) wrote :

I've modified the upstream drivers a little bit and managed to get it
working, but the changes are so ulgy they'll never make into upstream.
Below are my findings:

* a GET_STATE has to be issued before firmware can be loaded

* no USB device reset happens after firmware downloaded
 (I mentioned observed a USB re-enumeration, which is wrong - double
  checked, no re-enumeration happened, it was me manually removing
  the ath3k module)

* no PID change after firmware downloaded, even if the command
 SWITCH_VID_PID is issued (same one as for ATH_AR3012)

* btusb.ko will be working if the line below is removed from btusb.c

 { USB_DEVICE(0x0cf3, 0x3002), .driver_info = BTUSB_IGNORE },

* I have to do 'rmmod ath3k' and 'insmod btusb' to make btusb to
 attach to the device

Considering there is no reliable/standard way in Linux kernel for
two drivers to attach to the same USB device, a feasible way to
fix this is really to change the firmware to follow a little bit the
way as AR3012, so a PID change will happen.

Michał Kozal (panaut0lordv) wrote :

Well, not that I'd tell you are wrong, Eric, but the problem isn't in linux kernel itself.
To get AR3011 working by default I've just removed libmpt-runtime as in this bug report http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=641749
To be honest, actually I've got Acer TimelineX and acer_wmi got some complaints about device state, so I've rebooted into win7 and turned up my AR3011 -> reboot into Ubuntu, but with laptops without software switches like that shouldn't be the case.

Now it works flawlessly again, without any custom kernels or dkms.

Eric Miao (eric.y.miao) wrote :

+Michał Kozal, my guess is that yours might be a different issue, and I'm not really sure how libmtp will have any impact to this AR3011. From the bug report, it seems to be reporting itself as 0cf3:3000 instead of 0cf3:3002 here, and that ID could potentially conflict with some mtp device. And you've done more than just removing libmtp, i.e. by rebooting into windows to turn on the card.

AceLan Kao (acelankao) wrote :

Michał,
From my point of view, the device works right now, just because you loaded the firmware from windows, and do a reboot.
You can try to power off, not reboot, and power on to boot into linux to see if the bt device still works.

Chris Van Hoof (vanhoof) wrote :

An updated firmware has recently been posted upstream (ath3k-1.fw) which we have had a preliminary look at and appears to correct the issues here specific to AR3011:

http://permalink.gmane.org/gmane.linux.kernel/1262485

Changed in linux (Ubuntu Natty):
status: In Progress → Won't Fix
Changed in linux (Ubuntu Oneiric):
status: In Progress → Won't Fix
milestone: oneiric-updates → none
Changed in linux (Ubuntu Precise):
milestone: none → ubuntu-12.04-beta-2
Anthony Wong (anthonywong) wrote :
Ara Pulido (ara) on 2012-03-09
tags: added: precise
Tim Gardner (timg-tpi) on 2012-03-22
affects: linux (Ubuntu Precise) → linux-firmware (Ubuntu Precise)
Changed in linux-firmware (Ubuntu Precise):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.73

---------------
linux-firmware (1.73) precise; urgency=low

  * Updated ath3k-1.fw
    -LP: #714862
 -- Tim Gardner <email address hidden> Thu, 22 Mar 2012 05:59:22 -0600

Changed in linux-firmware (Ubuntu Precise):
status: Fix Committed → Fix Released
Michał Kozal (panaut0lordv) wrote :

Thanks for the fix.

Actually my bug is https://bugzilla.kernel.org/show_bug.cgi?id=41562 and that is stopping me from turning it up, not firmware ;)

James M. Leddy (jm-leddy) wrote :

Hi Michael, please open another bug for that issue. Mention the kernel bug in the bug description.

James M. Leddy (jm-leddy) wrote :

Atheros fixed this changing the firmware to make the 3002 card change to 3005 after the firmware is loaded so that it is picked up by the btusb driver.

Alexander Hall (compuguy1088) wrote :

Issue still seems to be occurring on my Precise box, even with the latest firmware package:

[ 29.060395] Bluetooth: Core ver 2.16
[ 29.060422] Bluetooth: HCI device and connection manager initialized
[ 29.060425] Bluetooth: HCI socket layer initialized
[ 29.060427] Bluetooth: L2CAP socket layer initialized
[ 29.060433] Bluetooth: SCO socket layer initialized
[ 29.124202] Bluetooth: Atheros AR30xx firmware driver ver 1.0

[ 34.469829] ath3k: probe of 4-2:1.0 failed with error -110
[ 34.469881] usbcore: registered new interface driver ath3k

[ 37.339508] Bluetooth: RFCOMM TTY layer initialized
[ 37.339514] Bluetooth: RFCOMM socket layer initialized
[ 37.339516] Bluetooth: RFCOMM ver 1.11
[ 37.607966] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[ 37.607970] Bluetooth: BNEP filters: protocol multicast

Alexander Hall (compuguy1088) wrote :

As previously mentioned in #49, the machine has the latest linux-firmware, but fails to load the firmware to the device:
https://bugzilla.kernel.org/show_bug.cgi?id=42442#c6

lsusb output:

Bus 004 Device 002: ID 0cf3:3000 Atheros Communications, Inc. AR3011 Bluetooth
(no firmware)

Relevant lines from dmesg:

[ 25.965815] Bluetooth: Can't change to loading configuration err
[ 25.965868] ath3k: probe of 4-2:1.0 failed with error -110
[ 25.965934] usbcore: registered new interface driver ath3k

Eric Miao (eric.y.miao) wrote :

@Alexander, Hi I think yours could be a different issue, the fix is against bt devices with VID:PID of 0cf3:3002. And please try rebooting/power recycle to see if the new firmware applies to your HW, please report back if no luck.

Alexander Hall (compuguy1088) wrote :

Rebooting does not resolve the issue (on this laptop). My other laptop (a netbook) works fine as a result of the fix released with 1.75.

tadkistani (timothy-adkins) wrote :

@Alexander, I was having the same issue with the AR3011 in 12.04 beta 2 amd64, and stumbled upon this:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=641749
...which seems to have worked for me (uninstalling libmtp).

Alexander Hall (compuguy1088) wrote :

@#53: Thanks for posting that. Added upstream bug reports to my report: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/975222

Changed in debian:
status: Unknown → Confirmed
Brad Figg (brad-figg) on 2012-04-11
tags: added: kernel-wifi
walterav (walterav) wrote :

I can confirm the fix from #54 from bug 975222 (updated libmtp-runtime) works for the following device:
ID 0cf3:3005 Atheros Communications, Inc. AR3011 Bluetooth, "Trust usb 3.0 mini usb adapter"

So after re-installing the removed 1.1.2-2 version of libmtp-runtime by its updated 1.1.3.1 version by just updating/upgrading from the default precise repository, the adapter works fine!

jermey c. (tanayrizal) wrote :

I don't know if I'm in the right place or not, but I just want to say thank you very much (especially to AceLan Kao). Downloaded the ar3011-dkms_1.1ryu2.3_all.deb. Performed sudo dpkg -i ar3011-dkms_1.1ryu2.3_all.deb and shutdown and reboot. Bluetooth works fine now.

My problem (before I applied the fix) was Bluetooth used to only work after a warm reboot from Win7 (dual-boot configuration). BT did not work from a cold boot, or from a suspend/sleep or from a complete shutdown, so it only worked exactly once. I could disconnect and reconnect while it was working, though. I use BT for DUN Nokia 5230. Same errors as the ones listed here.

My configuration:
Dell 1121 (11z - Intel Core i3), Linux Mint 12 - 64bit, kernel 3.0.0-12-generic; DW1702 BT + WiFi

AceLan Kao (acelankao) wrote :

Jermey,

You're welcome.
This issue could be fixed by the new firmware attached at comment #44.
And Ubuntu will have the new firmware in the next release(Precise Pangolin),
so this issue won't bother you anymore.
BTW, please remember to remove that dkms package once you regrade to the newer version.

jermey c. (tanayrizal) wrote :

AceLan Kao,

Thanks again for the dkms package! I'll remove the dkms package once I see your post(s) that everything's ok . ii ar3011-dkms 1.1ryu2.3 ar3011 driver in DKMS format.

Jeff Marcom (jeffmarcom) wrote :

Issue is still seen on Dell Vostro 3350.

Kernel version tested : 3.2.0.23 and 3.2.0.24-precise

Eric Miao (eric.y.miao) wrote :

@Jeff, could you attach the dmesg here?

Jeff Marcom (jeffmarcom) wrote :

Dmesg info attached.

Hi Jeff,

It looks you are using quite shinning kernel :-), however I don't seem to find
any lead in the dmesg that ath3k is being attempted to load. Could you help
switch to the precise kernel for a test? Thanks.

On Wed, Jun 13, 2012 at 9:46 PM, Jeff Marcom <email address hidden> wrote:
> Dmesg info attached.
>
> ** Attachment added: "dmesg.txt"
>   https://bugs.launchpad.net/ubuntu/+source/linux-firmware/+bug/714862/+attachment/3187749/+files/dmesg.txt
>
> --
> You received this bug notification because you are a member of Canonical
> Hardware Enablement Team, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/714862
>
> Title:
>  Atheros AR3011 cannot be turned up/is not recognized.
>
> Status in The Linux Kernel:
>  Confirmed
> Status in “linux-firmware” package in Ubuntu:
>  Fix Released
> Status in “linux-firmware” source package in Maverick:
>  Won't Fix
> Status in “linux-firmware” source package in Natty:
>  Won't Fix
> Status in “linux-firmware” source package in Oneiric:
>  Won't Fix
> Status in “linux-firmware” source package in Precise:
>  Fix Released
> Status in Debian GNU/Linux:
>  Confirmed
>
> Bug description:
>  The key is the device by Atheros Communications, Inc, which is their
>  AR3002.
>
>  This is the device that Dell is putting into this Vostro V130, which Dell ships with Ubuntu 10.04 pre-loaded.
>   Atheros indicates that:
>
>  "As a proponent of open software, Atheros provides its own Bluetooth
>  stack for easy portability and also supports standard Bluetooth stacks
>  such as Blue Z on Linux, Chrome OS, and Android OS. All Bluetooth
>  profiles in Blue Z are supported, including headset and hands-free
>  profiles, A2DP, FTP, DUN, OPP, PAN, SPP and PBAP.."
>
>  So they say this device should support Bluez.
>
>  Go to the Bluez page, and search for "atheros," and you find this:
>
>  http://www.bluez.org/l2cap-extended-features-on-2-6-36/
>
>  Very briefly, it says "Support for the Atheros AR300x chip."
>
>  I would hope that "3002" is part of "300x," but I'm not sure. I went
>  ahead and added the natty packages to my repository, so that I could
>  effectively install the bluez 4.87 and related packages.
>
>  Well, this ends a lot of errors. Now, when I launch blueman, I get no
>  connection errors, or anything, but still no options to connect any
>  devices.
>
>  This still happens:
>
>  sudo hciconfig:
>
>  hci0: Type: BR/EDR Bus: USB
>  BD Address: 00:00:00:00:00:00 ACL MTU: 0:0 SCO MTU: 0:0
>  DOWN
>  RX bytes:0 acl:0 sco:0 events:0 errors:0
>  TX bytes:24 acl:0 sco:0 commands:8 errors:0
>
>  Which tells me that the AR3002 is still not "seen."
>
>  sudo hciconfig hci0 up yields:
>  Can't init device hci0: Connection timed out (110)
>
>  Now, in a very rational sense, I believe I have hit the dead end. The
>  device is simply too new, I guess, to be supported(?)  Turning in bug
>  request in hope of future support, and as question has no activity on
>  it.  If this this is incorrect procedure, please forgive, as I'm new
>  here.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/linux/+bug/714862/+subscriptions

Jeff Marcom (jeffmarcom) wrote :

@Eric, the default 3.2.0.23 on this particular 3350 does not show the device in lsusb or dmesg.

will_unicamp (will-unicamp) wrote :

I tried to install all the packages listed in the right column, but my bluetooth still have the same problem. It only works if I star Windows and then reboot to Ubuntu. But if I turn the computer off, it doesn't works anymore.

I have a Sony Vaio VPC-SB35FB with the Atheros AR3011.

I tried the Ubuntu 12.10 Live CD too, but still doesn't works.

Roger John (roger-john) wrote :

Hi,
i still have this issue on quantal/3.5.0-25 on a Dell Vostro 3350.
bt is Atheros AR3011, id 0cf3:3005.
After resume from standby, bt won't work anymore, even not via service restart.
Even worse, powertop reports that the bt device is using 100% power, which would explain the increase of idle power draw by about 6W.
This is really annoying, as it renders standby unusable.
I could live without bluetooth, but blacklisting ath3k does not solve this problem.

Changed in hwe-next:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.